<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTestimonialsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: testimonials
         */
        Schema::create('testimonials', function ($table) {
            $table->increments('id');
            $table->string('subtitle', 100)->nullable();
            $table->string('title', 100)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('designation', 55)->nullable();
            $table->text('short_description')->nullable();
            $table->text('description')->nullable();
            $table->string('slug', 60)->nullable();
            $table->enum('status', [])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('testimonials');
    }
}
