<?php

namespace Beo\Testimonial\Seeders;

use DB;
use Illuminate\Database\Seeder;

class TestimonialTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('testimonials')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'testimonial.testimonial.view',
                'name'      => 'View Testimonial',
            ],
            [
                'slug'      => 'testimonial.testimonial.create',
                'name'      => 'Create Testimonial',
            ],
            [
                'slug'      => 'testimonial.testimonial.edit',
                'name'      => 'Update Testimonial',
            ],
            [
                'slug'      => 'testimonial.testimonial.delete',
                'name'      => 'Delete Testimonial',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/testimonial/testimonial',
                'name'        => 'Testimonial',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/testimonial/testimonial',
                'name'        => 'Testimonial',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'testimonial',
                'name'        => 'Testimonial',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Testimonial',
                'module'    => 'Testimonial',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'testimonial.testimonial.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
